com.h3c.of.ctl.flow

## Enum GroupEventType

- java.lang.Object
- - java.lang.Enum<GroupEventType>
  - - com.h3c.of.ctl.flow.GroupEventType

- All Implemented Interfaces:
    Serializable, Comparable<GroupEventType>

      public enum GroupEventType
      extends Enum<GroupEventType>

  Denotes group event types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUP_MOD_PUSH_FAILED` A group push failed.
    `GROUP_MOD_PUSHED` A group was successfully pushed to a datapath.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GROUP_MOD_PUSHED

          public static final GroupEventType GROUP_MOD_PUSHED

      A group was successfully pushed to a datapath.

    - #### GROUP_MOD_PUSH_FAILED

          public static final GroupEventType GROUP_MOD_PUSH_FAILED

      A group push failed.

  - ### Method Detail

    - #### values

          public static GroupEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupEventType c : GroupEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.